<?php

/*

Some preliminary db administration is required:

CREATE DATABASE rimario;
USE rimario;
CREATE TABLE italian (
  word VARCHAR(39),
  PRIMARY KEY(word)
) CHARACTER SET latin1 COLLATE latin1_general_ci;

GRANT SELECT, INSERT ON rimario.* TO 'http'@'localhost'
IDENTIFIED BY 'password';

Use the same user and password setted above below.

NOTES:
About CHAR vs VARCHAR: VARCHAR reduces database size, especially for
uncompressed words. Speed is practically the same.

About case sensitive or insensitive search: we use the latter because it yields
more results (e.g. some acronyms which are all-uppercase are returned). As of
speed, the difference is unnoticeable.

*/

$dbenv = new mysqli('localhost', 'http', 'password', 'rimario');

?>
